#include <stdio.h>
#include <sys/param.h>

void
scan_startcodes(FILE* f)
{
	int v;
	int n = 0;
	u_int bb;

	bb = getc(f);
	bb <<= 8;
	bb |= getc(f);
	v = getc(f);
	bb <<= 4;
	bb |= v >> 4;
	v <<= 4;
	for (;;) {
		int bit;
		for (bit = 0; bit < 4; ++bit) {
			if ((bb & 0xffff0) == 0x00010)
				printf("%d\n", bb & 0xf);

			bb <<= 1;
			v <<= 1;
			bb |= (v >> 8) & 1;
		}
		v = getc(f);
		if (feof(f))
			break;
		for (; bit < 8; ++bit) {
			if ((bb & 0xffff0) == 0x00010)
				printf("%d\n", bb & 0xf);

			bb <<= 1;
			v <<= 1;
			bb |= (v >> 8) & 1;
		}
	}
}

int
main(int argc, char **argv)
{
	FILE *f;

	if (argc != 2)
		exit(1);

	f = fopen(argv[1], "r");
	if (f == 0) {
		perror(argv[1]);
		exit(1);
	}
	scan_startcodes(f);
	exit(0);
}
