
Class PopupMenu

PopupMenu public init {w args} {
    $self next

    $self instvar win_ n_

    set win_ $w
    menubutton $win_ -indicatoron yes -menu $win_.m -relief raised -bd 2
    menu $win_.m
    set n_ 0

    foreach a $args {
	eval $self add $a
    }
}

PopupMenu public add {text {cmd ""}} {
    $self instvar win_ n_ text_ cmd_

    $win_.m add command -label $text -command "$self select $n_"
    if {$n_ == 0} {
	$win_ configure -text $text
    }

    set text_($n_) $text
    set cmd_($n_) $cmd
    incr n_
}

PopupMenu public get {} {
    $self instvar win_
    return [$win_ cget -text]
}

PopupMenu public clear {} {
    $self instvar win_ n_ text_ cmd_
    $win_.m delete 0 end
    for {set i 0} {$i<$n_} {incr i} {
	unset text_($i)
	unset cmd_($i)
    }
    set n_ 0
}

PopupMenu private select {n} {
    $self instvar win_ text_ cmd_
    $win_ configure -text $text_($n)
    if {$cmd_($n) != ""} {
	catch {eval $cmd_($n)}
    }
	
}
