import RTPApplication

Class SubProgApp -superclass RTPApplication

SubProgApp instproc init args {
    $self next subprog_app

    $self init_resources;

    [$self options] register_option -subprogram subprogram
    [$self options] register_option -comm_id comm_id
    [$self options] register_option -cntrl_spec cntrl_spec

    eval [$self options] parse_args $args;

    set subprog_type [$self get_option subprogram];

    uplevel #0 import $subprog_type;

    $self instvar subprog_obj_
    set subprog_obj_ [new $subprog_type [$self get_option comm_id] [$self get_option cntrl_spec]];
}

SubProgApp instproc init_resources {} {
    $self add_option network ip
    $self add_option mtu 1024
    $self add_option defaultTTL 32
    $self add_option sessionType rtpv2
    $self add_option maxVideoSessionBW 30000000
}

set app [new SubProgApp $argv];
